<?php

/**
 * Created by Evgenii Ioffe
 * @author Evgenii Ioffe <ioffe@umispec.ru>
 * @copyright Copyright (c) 2019, Evgenii Ioffe
 */

$modelsDir = dirname(__FILE__) . '/classes/models';

$classes = [
    'OfdFermaApi' => [
        dirname(__FILE__) . '/classes/api/Api.php',
    ],

    'OfdFermaApiAuthTokenModel' => [
        $modelsDir . '/Api/AuthToken.php',
    ],
    'OfdFermaApiReceiptModel' => [
        $modelsDir . '/Api/Receipt.php',
    ],
    'OfdFermaApiReceiptItemModel' => [
        $modelsDir . '/Api/ReceiptItem.php',
    ],
    'OfdFermaApiReceiptStatusModel' => [
        $modelsDir . '/Api/ReceiptStatus.php',
    ],

    'OfdFermaReceiptModel' => [
        $modelsDir . '/OfdFerma/Receipt.php'
    ],
    'OfdFermaReceiptStatusModel' => [
        $modelsDir . '/OfdFerma/ReceiptStatus.php'
    ],
    'OfdFermaReceiptTypeModel' => [
        $modelsDir . '/OfdFerma/ReceiptType.php'
    ],
    'OfdFermaSettingsModel' => [
        $modelsDir . '/OfdFerma/Settings.php'
    ],
    'OfdFermaTaxationModel' => [
        $modelsDir . '/OfdFerma/Taxation.php'
    ],
    'OfdFermaVatModel' => [
        $modelsDir . '/OfdFerma/Vat.php'
    ],
];
