<?php

/**
 * Created by Evgenii Ioffe
 * @author Evgenii Ioffe <ioffe@umispec.ru>
 * @copyright Copyright (c) 2019, Evgenii Ioffe
 */
class OfdFermaApiReceiptModel
{
    private $inn = '';
    private $type = '';
    private $invoiceId = '';
    private $taxationSystem = '';
    private $email = '';
    private $phone = '';
    private $date = 0;
    private $items = array();

    /**
     * @return string
     */
    public function getInn()
    {
        return $this->inn;
    }

    /**
     * @param string $inn
     */
    public function setInn($inn)
    {
        $this->inn = $inn;
    }

    /**
     * @return string
     */
    public function getType()
    {
        return $this->type;
    }

    /**
     * @param string $type
     */
    public function setType($type)
    {
        $this->type = $type;
    }

    /**
     * @return string
     */
    public function getInvoiceId()
    {
        return $this->invoiceId;
    }

    /**
     * @param string $invoiceId
     */
    public function setInvoiceId($invoiceId)
    {
        $this->invoiceId = $invoiceId;
    }

    /**
     * @return string
     */
    public function getTaxationSystem()
    {
        return $this->taxationSystem;
    }

    /**
     * @param string $taxationSystem
     */
    public function setTaxationSystem($taxationSystem)
    {
        $this->taxationSystem = $taxationSystem;
    }

    /**
     * @return string
     */
    public function getEmail()
    {
        return $this->email;
    }

    /**
     * @param string $email
     */
    public function setEmail($email)
    {
        $this->email = $email;
    }

    /**
     * @return string
     */
    public function getPhone()
    {
        return $this->phone;
    }

    /**
     * @param string $phone
     */
    public function setPhone($phone)
    {
        $this->phone = $phone;
    }

    /**
     * @return OfdFermaApiReceiptItemModel[]
     */
    public function getItems()
    {
        return $this->items;
    }

    /**
     * @param OfdFermaApiReceiptItemModel $item
     */
    public function addItem(OfdFermaApiReceiptItemModel $item)
    {
        $this->items[] = $item;
    }

    /**
     * @return int
     */
    public function getDate()
    {
        return $this->date;
    }

    /**
     * @param int $date
     */
    public function setDate($date)
    {
        $this->date = $date;
    }
}