<?php

/**
 * Created by Evgenii Ioffe
 * @author Evgenii Ioffe <ioffe@umispec.ru>
 * @copyright Copyright (c) 2019, Evgenii Ioffe
 */
class OfdFermaTaxationModel
{
    const module = 'ofdFerma';
    const method = 'ofdFerma_taxation';

    const group_properties = 'oft_properties';
    const field_code = 'oft_code';

    public static function getCodeById($objectId)
    {
        $object = umiObjectsCollection::getInstance()->getObject($objectId);
        if(!$object instanceof umiObject) {
            throw new publicException('Не найден объект ' . $objectId);
        }

        return $object->getValue(self::field_code);
    }
}