<?php

/**
 * Created by Evgenii Ioffe
 * @author Evgenii Ioffe <ioffe@umispec.ru>
 * @copyright Copyright (c) 2019, Evgenii Ioffe
 */

$INFO = [
    'name' => 'ofdFerma',
    'config' => '0',
    'default_method' => '',
    'default_method_admin' => 'dashboard',
];

$moduleDir = str_replace(CURRENT_WORKING_DIR, '.', dirname(__FILE__));

$COMPONENTS = array(
    $moduleDir . '/admin.php',
    $moduleDir . '/class.php',
    $moduleDir . '/i18n.php',
    $moduleDir . '/lang.php',
    $moduleDir . '/permissions.php',
);

require_once dirname(__FILE__) . '/installer.php';

$installer = new OfdFermaInstaller();
$installer->doInstall();